# Yahoo! UI Library

### animation 2.2.2

Yahoo! UI Library > animation > YAHOO.util.Easing

## Class YAHOO.util.Easing

Singleton that determines how an animation proceeds from start to end.

### Methods

#### backBoth

`Number backBoth ( t , b , c , d , s )`
Backtracks slightly, then reverses direction, overshoots end, then reverses and comes back to end.

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation
  `s <Number>` Overshoot (optional)

Returns: `Number`
  The computed value for the current animation frame

#### backIn

`Number backIn ( t , b , c , d , s )`
Backtracks slightly, then reverses direction and moves to end.

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation
  `s <Number>` Overshoot (optional)

Returns: `Number`
  The computed value for the current animation frame

#### backOut

`Number backOut ( t , b , c , d , s )`
Overshoots end, then reverses and comes back to end.

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation
  `s <Number>` Overshoot (optional)

Returns: `Number`
  The computed value for the current animation frame

#### bounceBoth

`Number bounceBoth ( t , b , c , d )`
Bounces off start and end.

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation

Returns: `Number`
  The computed value for the current animation frame

#### bounceIn

`Number bounceIn ( t , b , c , d )`
Bounce off of start.

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation

Returns: `Number`
  The computed value for the current animation frame

#### bounceOut

`Number bounceOut ( t , b , c , d )`
Bounces off end.

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation

Returns: `Number`
  The computed value for the current animation frame

#### easeBoth

`Number easeBoth ( t , b , c , d )`
Begins slowly and decelerates towards end. (quadratic)

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation

Returns: `Number`
  The computed value for the current animation frame

#### easeBothStrong

`Number easeBothStrong ( t , b , c , d )`
Begins slowly and decelerates towards end. (quartic)

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation

Returns: `Number`
  The computed value for the current animation frame

#### easeIn

`Number easeIn ( t , b , c , d )`
Begins slowly and accelerates towards end. (quadratic)

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation

Returns: `Number`
  The computed value for the current animation frame

#### easeInStrong

`Number easeInStrong ( t , b , c , d )`
Begins slowly and accelerates towards end. (quartic)

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation

Returns: `Number`
  The computed value for the current animation frame

#### easeNone

`Number easeNone ( t , b , c , d )`
Uniform speed between points.

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation

Returns: `Number`
  The computed value for the current animation frame

#### easeOut

`Number easeOut ( t , b , c , d )`
Begins quickly and decelerates towards end. (quadratic)

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation

Returns: `Number`
  The computed value for the current animation frame

#### easeOutStrong

`Number easeOutStrong ( t , b , c , d )`
Begins quickly and decelerates towards end. (quartic)

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation

Returns: `Number`
  The computed value for the current animation frame

#### elasticBoth

`Number elasticBoth ( t , b , c , d , a , p )`
Snap both elastic effect.

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation
  `a <Number>` Amplitude (optional)
  `p <Number>` Period (optional)

Returns: `Number`
  The computed value for the current animation frame

#### elasticIn

`Number elasticIn ( t , b , c , d , a , p )`
Snap in elastic effect.

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation
  `a <Number>` Amplitude (optional)
  `p <Number>` Period (optional)

Returns: `Number`
  The computed value for the current animation frame

#### elasticOut

`Number elasticOut ( t , b , c , d , a , p )`
Snap out elastic effect.

Parameters:
  `t <Number>` Time value used to compute current value
  `b <Number>` Starting value
  `c <Number>` Delta between start and end values
  `d <Number>` Total length of animation
  `a <Number>` Amplitude (optional)
  `p <Number>` Period (optional)

Returns: `Number`
  The computed value for the current animation frame

Copyright © 2007 Yahoo! Inc. All rights reserved.